package com.wechat.model.requestDto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

import org.hibernate.validator.constraints.Email;

public class PersonInfoReq {

	private String identityFlag;// 身份标识[0-个人；1-企业]

	@NotNull(message = "姓名不能为空|name not null")
	private String name;// 姓名/名称

	@Pattern(regexp = "\\d{1,2}", message = "职场经验式错误|experience number wrong")
	private String experience;// 行业经验

	@Pattern(regexp = "\\d{11}$", message = "手机号格式错误|phone number wrong") // ^(13[0-9]|14[579]|15[0-3,5-9]|16[6]|17[0135678]|18[0-9]|19[89])
	private String phoneNum;// 手机号/ 企业联系电话

	@Pattern(regexp = "^(^(\\d{4}|\\d{2})(\\-|\\/|\\.)\\d{1,2}\\3\\d{1,2}$)|(^\\d{4}年\\d{1,2}月\\d{1,2}日$)$",message="生日格式不对|The birthday format is wrong")
	private String birthday;// 生日

	@Email(message = "输入正确的邮箱|email not right")
	private String email; // 邮箱地址（个人用户）

	private String addrProvince; // 地址-省（中国）[企业-公司地址；个人-意向工作地]

	private String addrCity; // 地址-市（中国）

	private String addrArea; // 地址-区（中国）
	private String addDetail; // 地址-详细地址

	private Integer versionNo;

	private String workStatus;

	private String entContacts;// 企业联系人

	private String website; // 企业官网

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExperience() {
		return experience;
	}

	public void setExperience(String experience) {
		this.experience = experience;
	}

	public String getPhoneNum() {
		return phoneNum;
	}

	public void setPhoneNum(String phoneNum) {
		this.phoneNum = phoneNum;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAddrProvince() {
		return addrProvince;
	}

	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}

	public String getAddrCity() {
		return addrCity;
	}

	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}

	public String getAddrArea() {
		return addrArea;
	}

	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}

	public Integer getVersionNo() {
		return versionNo;
	}

	public void setVersionNo(Integer versionNo) {
		this.versionNo = versionNo;
	}

	public String getWorkStatus() {
		return workStatus;
	}

	public void setWorkStatus(String workStatus) {
		this.workStatus = workStatus;
	}

	public String getEntContacts() {
		return entContacts;
	}

	public void setEntContacts(String entContacts) {
		this.entContacts = entContacts;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

}
